Bug 546948

Summary: SIGSEGV in "FLAC__stream_decoder_flush" in /home/dj/.python-eggs/elisa_plugin_amp-0.4.egg-tmp/elisa/plugins/amp/slave.py
Product: [Fedora] Fedora Reporter: Craig Robson <craig>
Component: elisaAssignee: Matthias Saou <matthias>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dmalcolm, ivazqueznet, james.antill, jonathansteffan, matthias, mlichvar
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:65683ae4cd07f55b36bdcde19e15cc87d56ad92d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:45:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Craig Robson 2009-12-12 15:09:16 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /home/dj/.python-eggs/elisa_plugin_amp-0.4.egg-tmp/elisa/plugins/amp/slave.py elisa.plugins.gstreamer.amp_slave.run_slave unix:/tmp/elisa-metadata-TjE1p1.socket Slave-36
component: python
executable: /usr/bin/python
kernel: 2.6.31.6-166.fc12.i686.PAE
package: python-2.6.2-2.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Craig Robson 2009-12-12 15:09:18 EST
Created attachment 377918 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-12-14 11:41:28 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What version of flac do you have installed?

Looking at the backtrace, it looks like the problem occurred in thread #1 in FLAC__stream_decoder_flush

Reassigning component from "python" to "flac"
Comment 3 Craig Robson 2009-12-15 00:57:41 EST
I'm running flac-1.2.1-6.fc12.i686.  Unfortunately the failure happened when Elisa is running and I haven't seen it again.  If there is some simpler command you might think would invoke this I could try it.
Comment 4 Miroslav Lichvar 2010-04-14 11:37:16 EDT
It could be a bug in the elisa plugin.

Reassigning to elisa.
Comment 5 Bug Zapper 2010-11-03 23:30:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 20:45:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.